/* -*- Mode:C++; c-file-style:"gnu"; indent-tabs-mode:nil -*- */
/*
 * Copyright (c) 2011 UCLA
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation;
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Author:  Alexander Afanasyev <alexander.afanasyev@ucla.edu>
 */

#ifndef CCNX_GLOBAL_ROUTING_HELPER_H
#define CCNX_GLOBAL_ROUTING_HELPER_H

#include "ns3/ptr.h"

namespace ns3 {

class Node;
class Channel;

class CcnxGlobalRoutingHelper
{
public:
  void
  Install (Ptr<Node> node);
  
  void
  Install (Ptr<Channel> channel);

  void
  AddOrigin (const std::string &prefix, Ptr<Node> node);

  void
  AddOrigin (const std::string &prefix, const std::string &nodeName);

  void
  CalculateRoutes ();
};

}

#endif // CCNX_GLOBAL_ROUTING_HELPER_H
